"""
Views for KYC API.

Authentication is handled by GRAPHENE MIDDLEWARE in settings.py
"""
from graphene_django.views import GraphQLView

from .graphql_middleware import UserJWTMiddleware


class UserGraphQLView(GraphQLView):
    """User endpoint - requires ID Token."""
    def __init__(self, *args, **kwargs):
        kwargs['middleware'] = [UserJWTMiddleware()]
        super().__init__(*args, **kwargs)
